Translate
Sub Menu
Links Menu
Online Users

In total there are 68 users online :: 2 registered, 0 hidden and 66 guests

Most users ever online was 372 on Thu May 09, 2019 3:50 am

Registered users: Bing [Bot], Google [Bot] based on users active over the past 60 minutes

Last Online
In order to view the online list you have to be registered and logged in.



We are a free and open
community, all are welcome.

Click here to Register

Release of upgrade for phpbb2.0.20

Support for IntegraMOD 140

Moderator: Integra Moderator

PostAuthor: Csicso » Mon May 29, 2006 3:22 am

Hi.
I have some minor mods installed, but anyone modified bbcode.php. As I remember, i downloaded the file, that i'm using from here.
Anway, I did the upgrade manually, and uploaded a premodded bbcode.php.
Last edited by Csicso on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.

Csicso
Newbie
Newbie
 
Posts: 7
Joined: Thu May 25, 2006 3:45 am

Re: Release of upgrade for phpbb2.0.20

PostAuthor: Dioncecht » Mon May 29, 2006 12:23 pm

ok, did the upgrade manually and everything SEEMS to work ok, except when I click on View New Posts Since Last visit. I get a blank page. Not sure if thats only when there are no new posts, but if there are no new posts, it should still display something saying there are no new posts, not a blank page.

any ideas?
Last edited by Dioncecht on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.
'We keep moving forward, opening new doors, and doing new things, because we're curious and curiosity keeps leading us down new paths.' - Walt Disney

[img=left]http://rpghq.org/banner2.jpg[/img]
[url=http]The RPG Headquarters. The RPG capitol of the net![/url]
User avatar
Dioncecht
Sr Integra Member
Sr Integra Member
 
Posts: 244
Joined: Sun Apr 09, 2006 5:23 pm

PostAuthor: Dioncecht » Mon May 29, 2006 12:29 pm

Nevermind. I pulled the search.php premodded file and just used that since none of my mods ever really changed that file that I can remember. It seems to work ok now.
Last edited by Dioncecht on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.
'We keep moving forward, opening new doors, and doing new things, because we're curious and curiosity keeps leading us down new paths.' - Walt Disney

[img=left]http://rpghq.org/banner2.jpg[/img]
[url=http]The RPG Headquarters. The RPG capitol of the net![/url]
User avatar
Dioncecht
Sr Integra Member
Sr Integra Member
 
Posts: 244
Joined: Sun Apr 09, 2006 5:23 pm

PostAuthor: ZacFields » Mon May 29, 2006 10:21 pm

I just want to add to the pile of people in saying:

"I used the premodded files to upgrade and I was using integramod 1.4.0 with phpbb security 1.0.3 and everything worked just great!"

Thanks for the good work guys.

Zac
Last edited by ZacFields on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.

ZacFields
Sr Integra Member
Sr Integra Member
 
Posts: 426
Joined: Wed May 24, 2006 11:14 pm

Re: Release of upgrade for phpbb2.0.20

PostAuthor: found it » Tue May 30, 2006 7:55 am

Thank you to everyone who has this working right and for your kind words....

It makes up for the time and effort in making sure everything works as it should do....

:mrgreen:
Last edited by found it on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.
[url=http]themes.[/url]
http://www.founditforum.com :: [url=http]Joining people together[/url]

[url=http][img=left]http://www.bbful.com/bbful_banner2.png[/img][/url]
User avatar
found it
Dev Team
Dev Team
 
Posts: 792
Joined: Mon Mar 27, 2006 4:29 am

PostAuthor: Csicso » Wed May 31, 2006 3:26 am

Any solutions for my problem?
Last edited by Csicso on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.

Csicso
Newbie
Newbie
 
Posts: 7
Joined: Thu May 25, 2006 3:45 am

PostAuthor: Master Dwarf » Wed May 31, 2006 6:08 am

Sorry Csicso, I am at a loss. Not sure if anyone else has any ideas.
Last edited by Master Dwarf on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.
Sean Kelley
http://www.GrumblingDwarf.com
Wisconsin Region Game Site
User avatar
Master Dwarf
Integra Supporter
Integra Supporter
 
Posts: 102
Joined: Sun Apr 09, 2006 9:26 am
Location: Madison, WI

PostAuthor: Csicso » Wed May 31, 2006 7:03 am

Hm, <img> what is the smallest php version for this version of IM?
Last edited by Csicso on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.

Csicso
Newbie
Newbie
 
Posts: 7
Joined: Thu May 25, 2006 3:45 am

PostAuthor: ZacFields » Wed May 31, 2006 10:15 pm

^ Huh?

This version of IM is not compatible with php5 if that's the question you're asking. I know it's confusing because PHPBB 2.0.20 is compatible with php5 but what I think the Integramod folks have done is concentrated on the security bug fixes in the phpbb version changes rather than worry about php5 functionality just yet. I think actually phpbb 2.0.19 is the first version of phpbb compatible with php5.

They are working on IM 1.4.1 which will be php5 compatible but I have no clue at all when that will be out.

Does that answer your question? I know it's confusing but the upgrades for phpb have to be picked through to work with integramod. Just a simple upgrade to phpbb 2.0.20 won't make an integramod board completely php5 compatible because there are all kinds of extra pages on integramod that wouldnt' be php5 compatible that wouldn't be included in the upgrade so they have to dig through the code and make it all compatible for the newest 1.4.1 release coming (hopefully) soon.

If this is the case, I feel your pain. I havea php5-ready server just aching to have my forums moved over! Just oozing with so much more speed compared to my current server but I can't try it out til 1.4.1!!!! haha. (just giving ya crap dev team!)

Zac
Last edited by ZacFields on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.

ZacFields
Sr Integra Member
Sr Integra Member
 
Posts: 426
Joined: Wed May 24, 2006 11:14 pm

PostAuthor: Csicso » Thu Jun 01, 2006 12:22 am

Ok, thanks for the answer..

Anyway I just wanted to know that is it fully compatible with php v4.1.2, because i've mirrored the coplete board to my local machine, and there was no problem. (I ran that on my local machine under easyphp on xp.)

So, where could be the gap?
Last edited by Csicso on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.

Csicso
Newbie
Newbie
 
Posts: 7
Joined: Thu May 25, 2006 3:45 am

PostAuthor: ZacFields » Fri Jun 02, 2006 6:32 am

From what I understand, it should be compatible with any version of php 4.x.x or below. The cutoff as I understand it is php 5.x.x because I am told that php 5 is so much different from php 4.x.x. But anything other than php 5.x.x should be compatible with this version of IM and you should be able to safely and easily upgrade the phpbb 2.0.17 that comes with IM 1.4.0 and upgrade all the way to 2.0.20.

IM Dev Team: Now that it seems to be working pretty well, what do you guys think about packaging it with the 2.0.17-2.0.19 package and just calling it the 2.0.17-2.0.20 upgrade? Just a suggestion...seems to have all the bugs worked out so far and might be convenient for the people who might just be getting IM 1.4.0 and might not plan to upgrade to 1.4.1 for a while.

Zac
Last edited by ZacFields on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.

ZacFields
Sr Integra Member
Sr Integra Member
 
Posts: 426
Joined: Wed May 24, 2006 11:14 pm

Re: Release of upgrade for phpbb2.0.20

PostAuthor: Dioncecht » Sun Jun 04, 2006 1:02 pm

"found it";p="2208" wrote:Hi

Nice find just tested this....

DSid you use the premodded files....?

I missed a
Code: Select all
)


on line 281

it should be

Code: Select all
    $confirm = isset($HTTP_POST_VARS['confirm']);                 if( $rank_id && $confirm )


but it is

Code: Select all
    $confirm = isset($HTTP_POST_VARS['confirm']);                 if( $rank_id && $confirm


just need to add the ) at the end



I am getting this white page in Ranks now. I checked my file and it seemed ok, but I replaced with the premodded file just in case I missed something (I obviously made the correction on 281 before i used it) and it still did not fix it. Any other ideas?
Last edited by Dioncecht on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.
'We keep moving forward, opening new doors, and doing new things, because we're curious and curiosity keeps leading us down new paths.' - Walt Disney

[img=left]http://rpghq.org/banner2.jpg[/img]
[url=http]The RPG Headquarters. The RPG capitol of the net![/url]
User avatar
Dioncecht
Sr Integra Member
Sr Integra Member
 
Posts: 244
Joined: Sun Apr 09, 2006 5:23 pm

Re: Release of upgrade for phpbb2.0.20

PostAuthor: Stevenh » Sun Jun 04, 2006 5:06 pm

Are there any DB ver issues. I am currently running mysql 3.23.58, does this have any effect on the upgrade to MI 1.4x and phpbb x.20

BTW this is a very nice project...once my install is completed I'll be scraping a donation together <img>

Steven

did I see a paypal button?...yep, kewl
Last edited by Stevenh on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.
User avatar
Stevenh
Newbie
Newbie
 
Posts: 15
Joined: Sat Jun 03, 2006 8:23 pm

Re: Release of upgrade for phpbb2.0.20

PostAuthor: Dioncecht » Mon Jun 05, 2006 1:58 pm

"Dioncecht";p="8423" wrote:
"found it";p="2208" wrote:Hi

Nice find just tested this....

DSid you use the premodded files....?

I missed a
Code: Select all
)


on line 281

it should be

Code: Select all
    $confirm = isset($HTTP_POST_VARS['confirm']);                 if( $rank_id && $confirm )


but it is

Code: Select all
    $confirm = isset($HTTP_POST_VARS['confirm']);                 if( $rank_id && $confirm


just need to add the ) at the end



I am getting this white page in Ranks now. I checked my file and it seemed ok, but I replaced with the premodded file just in case I missed something (I obviously made the correction on 281 before i used it) and it still did not fix it. Any other ideas?


um, nevermind. Apparently my FTP app wasn't transferring the fixed file and wasn't exactly telling me it wasn't doing it
Last edited by Dioncecht on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.
'We keep moving forward, opening new doors, and doing new things, because we're curious and curiosity keeps leading us down new paths.' - Walt Disney

[img=left]http://rpghq.org/banner2.jpg[/img]
[url=http]The RPG Headquarters. The RPG capitol of the net![/url]
User avatar
Dioncecht
Sr Integra Member
Sr Integra Member
 
Posts: 244
Joined: Sun Apr 09, 2006 5:23 pm

PostAuthor: Eon » Tue Jun 06, 2006 7:06 am

The only hold backs as far as mysql goes is mysql 5 causing problems. Which is also fixed in 141.

But I don't think you will have any problems with your 3.x
Last edited by Eon on Wed Dec 31, 1969 5:00 pm, edited 1 time in total.
User avatar
Eon
Sr Integra Member
Sr Integra Member
 
Posts: 627
Joined: Tue Mar 28, 2006 10:15 am

PreviousNext

Return to IntegraMOD 140

Who is online

Registered users: Bing [Bot], Google [Bot]

cron